﻿using Business.Layer;
using Microsoft.AspNetCore.Mvc;

namespace ASPNETWEBAPI2.Client.Controllers
{
    [Route("api/[controller]")]
    public class ValuesController : Controller
    {
        private readonly IDataService dataService;
        public ValuesController(IDataService dataService)
        {
            this.dataService = dataService;
        }

        // GET api/values
        [HttpGet]
        public object Get()
        {
            return this.dataService.FetchData(new string[] { "value1", "value2" });
        }

        // GET api/values/5
        [HttpGet("{id}")]
        public string Get(int id)
        {
            return "value";
        }

        // POST api/values
        [HttpPost]
        public void Post([FromBody]string value)
        {
        }

        // PUT api/values/5
        [HttpPut("{id}")]
        public void Put(int id, [FromBody]string value)
        {
        }

        // DELETE api/values/5
        [HttpDelete("{id}")]
        public void Delete(int id)
        {
        }
    }
}
